#!/usr/bin/env ruby

require "mapscript"
include Mapscript

$types =
{
   MS_SHAPEFILE_POINT      => 'point',
   MS_SHAPEFILE_ARC        => 'arc',
   MS_SHAPEFILE_POLYGON    => 'polygon',
   MS_SHAPEFILE_MULTIPOINT => 'multipoint'
}  

filename = ARGV[0]
shapefile = ShapefileObj.new(filename, -1)

print "\nShapefile #{filename}:\n";
print "\ttype: #{$types[shapefile.type]}\n";
print "\tnumber of features: #{shapefile.numshapes}\n"
printf "\tbounds: (%f,%f) (%f,%f)\n", shapefile.bounds.minx, shapefile.bounds.miny, shapefile.bounds.maxx, shapefile.bounds.maxy;

